svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state#state
    transition(duration="250ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      relation(query-selector='#rect' attribute-type='CSS' attribute-name='width' from='0%' to='50%')
      relation(query-selector='#rect' attribute-type='CSS' attribute-name='fill' from='red' to='blue')
      relation(query-selector='#text' values='"1/4";"2/4";"3/4";"4/4";"4/4"')
      relation(query-selector='#line' attribute-name='stroke-width' from='0' to='10')

      relation(query-selector="#rect2" attribute-name='width' values='100%; 75%; 50%; 70%; 100%')
      relation(query-selector="#rect2" attribute-name='fill' values='pink; rgb(0, 0, 255); orange; yellow; orange')

      relation(query-selector="#rect3" attribute-name="width" calc-mode="discrete" values="0%;50;100")
      relation(query-selector="#rect3" attribute-name="fill" calc-mode="discrete" values="red;orange;green")

      relation(query-selector="#rect4" attribute-name='width' attribute-type='XML' by='-50%')
      relation(query-selector="#rect4" attribute-type='CSS' attribute-name='fill' to='pink')

  rect(id="rect" width="0%" height="5%" style="fill:red;")
  line(id="line" x1="0" y1="7.5%" x2="100%" y2="7.5%" stroke="black")
  text(id="text" y="15%" height="5%" style="font-size:2em;") Should not be visible

  rect(id="rect2" y="20%" width="0%" height="5%")
  rect(id="rect3" y="25%" width="0%" height="5%")
  rect(id="rect4" y="30%" width="50%" height="5%" style='fill:yellow;')
